### Function

# Gimp progress_init

#### Declaration [src]

    gboolean
    gimp_progress_init (
      const gchar* message
    )

#### Description [src]

Initializes the progress bar for the current plug-in.

Initializes the progress bar for the current plug-in. It is only valid to call this procedure from a plug-in.

#### Parameters

`message` | `const gchar*`
| Message to use in the progress dialog.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gboolean`
| TRUE on success.